Qt 5.11 | Qt GUI | C++ Classes | QVulkanInfoVector

Qt 5.11.3 Reference Documentation

# QVulkanInfoVector Class

A specialized QVector for QVulkanLayer and QVulkanExtension. More...

Header: | #include <QVulkanInfoVector>
qmake: | QT += gui

- List of all members, including inherited members

## Public Functions

bool | contains(const QByteArray &name) const
bool | contains(const QByteArray &name, int minVersion) const

## Detailed Description

A specialized QVector for QVulkanLayer and QVulkanExtension.

## Member Function Documentation

### bool QVulkanInfoVector::contains(const QByteArray &name) const

Returns true if the vector contains a layer or extension with the given name.

### bool QVulkanInfoVector::contains(const QByteArray &name, int minVersion) const

Returns true if the vector contains a layer or extension with the given name and a version same as or newer than minVersion.